User avatar
By Fernando Tella
#384650
Hi,

I cannot launch a render from max when it has grass. Tried without success in 3.0.99.4 and 3.0.99.5 with 3.1.2 plugin. Also tried in 3dsmax 2013 and 2015.

Just open max, set renderer to Maxwell, make a plane, apply grass modifier and hit render. The process halts before reaching maxwell with an error message.

I can render grass from studio.

Thanks for your help!
User avatar
By Mihnea Balta
#384654
I think the 3.1 beta plug-in needs to be recompiled to support the extensions in the latest beta. However, I'm not sure why it crashes with the 3.0 version of Maxwell and the plug-in. Can you try uninstalling Maxwell first and performing a clean installation of Maxwell 3.0.1.3?
User avatar
By Fernando Tella
#384664
Ok.

Uninstalled and reinstalled 3.0.1.3 with max plugin 3.0.35.

Grass works now. Who knows why.

Thanks Mihnea.

I'm going to try with latest beta now and see what happens.

EDIT: I've noticed that materials created previously with latest beta, now look empty if I open them with this version.
User avatar
By Fernando Tella
#384668
Well, it looks like if I want to use grass I have to fully go back to 3.0.1.3 and plugin 3.0.35 but then I cannot use the materials created with 3.0.99.4 or 5 so I'll go on without grass for this one. I hope it can be fixed soon.

Cheers!
User avatar
By Mihnea Balta
#384678
Yeah, the 3.1 materials are not backwards compatible with 3.0, so if you save a scene with the beta plug-in, you won't be able to open it in 3.0.35. The grass crash will be fixed in the next beta build.
User avatar
By tonifres
#386091
Hi, I'm trying to render a scene with Maxwell Grass, but I can't, this is the error.
If I try with the FIRE, 3dsmax directly crash.

3dsmax 2014, Maxwell Render 3.1 and 3dsmax plugin version 3.1.6

Thanks
You do not have the required permissions to view the files attached to this post.
User avatar
By Mihnea Balta
#386092
This crash happens because the plug-in cannot load the grass extension. I'll fix it for the next build so that it just skips the grass objects, but in the mean time you can install Maxwell 3.1.0.2 from the beta builds page and it will work.

A new Maxwell beta will be posted soon, which will most likely be incompatible with the current beta plug-in, so the problem will reoccur then. However, I will release a plug-in update at the same time as the engine update, so if you upgrade both at the same time it shouldn't be an issue.
User avatar
By Mihnea Balta
#386144
I've uploaded version 3.1.7 of the Max plug-in to the early builds site. This version will no longer crash on export if it cannot load extensions (such as grass, volumetric etc.). It's also compatible with Maxwell 3.1.0.0, which was uploaded to early builds last Friday. Previous betas of the plug-in might not be able to use extensions from 3.1.0.0, so it's recommended to upgrade both at the same time.

Hi there, after a texture tag has been assigned to[…]

Rhino6 Plugin / Rhino Crash

Having fun on my own thread here :) It appears tha[…]

The script will be useful and i think it is easy t[…]